Fred Provision Api (v1)

Download OpenAPI specification:

Fred Provision Api

FinancialDepreciation

Get Financial reconciliation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
{
  • "CurrentExerciseEndDate": "2019-08-24",
  • "PreviousExerciseEndDate": "2019-08-24",
  • "Categories": [
    ]
}

Export the reconciliation state of the financial module to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Get depreciation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Export depreciation state to pdf

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Search financial depreciation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountName
string
SearchText
string
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
PeriodStartDate
required
string <date-time>
PeriodEndDate
required
string <date-time>
SortColumn
required
string
Enum: "AccountName" "Balance"
SortDirection
required
string
Enum: "Ascending" "Descending"

Responses

Request samples

Content type
{
  • "AccountName": "string",
  • "SearchText": "string",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "PeriodStartDate": "2019-08-24T14:15:22Z",
  • "PeriodEndDate": "2019-08-24T14:15:22Z",
  • "SortColumn": "AccountName",
  • "SortDirection": "Ascending"
}

Response samples

Content type
[
  • {
    }
]

Update financial qualification review

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (Account)
IsReviewed
required
boolean
ExerciceEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "Accounts": [
    ],
  • "IsReviewed": true,
  • "ExerciceEndDate": "2019-08-24T14:15:22Z"
}

Create financial depreciation qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
integer <int32>
Date
required
string <date-time>
FinancialAmount
required
number <decimal>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "FinancialAmount": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "IsReviewed": true,
  • "EntryGenerated": true,
  • "FinancialAmount": 0
}

Generate financial qualification entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
ExerciseEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "ExerciseEndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "GeneratedEntriesCount": 0
}

Delete financial depreciation by account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
required
integer <int32>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0
}

OtherThirdParty

Get All OtherThirdParties

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
[
  • {
    }
]

Create OtherThirdParties

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (CreateOtherThirdPartyCommand)

Responses

Request samples

Content type
{
  • "OtherThirdParties": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Update OtherThirdParties

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (ChangeOtherThirdPartyCommand)

Responses

Request samples

Content type
{
  • "ChangeOtherThirdPartyCommands": [
    ]
}

Delete OtherThirdParties by Ids

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
OtherThirdPartyIds
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "OtherThirdPartyIds": [
    ]
}

Search OtherThirdParties

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
PageNumber
required
integer <int32>
Default: 1
PageSize
required
integer <int32>
Default: 100
ExerciseEndDate
required
string <date-time>
SortColumn
required
string
Enum: "Date" "Amount" "AccountName"
SortDirection
required
string
Enum: "Ascending" "Descending"
SearchText
string
CurrentStatus
string
Enum: "Empty" "Balanced"
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
AccountId
integer <int32>
SubAccountId
integer <int32>

Responses

Request samples

Content type
{
  • "PageNumber": 1,
  • "PageSize": 100,
  • "ExerciseEndDate": "2019-08-24T14:15:22Z",
  • "SortColumn": "Date",
  • "SortDirection": "Ascending",
  • "SearchText": "string",
  • "CurrentStatus": "Empty",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "AccountId": 0,
  • "SubAccountId": 0
}

Response samples

Content type
{
  • "Items": [
    ],
  • "PageNumber": 0,
  • "PageSize": 0,
  • "TotalCount": 0,
  • "PageCount": 0,
  • "HasPreviousPage": true,
  • "HasNextPage": true
}

Get OtherThirdParties By Entry Ids

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
EntryIds
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "EntryIds": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Get OtherThirdParty By Entry line Id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
entryId
required
integer <int32>
entryLineId
required
integer <int64>

Responses

Response samples

Content type
{
  • "EntryId": 0,
  • "EntryLineId": 0,
  • "Id": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "EntryLineLabel": "string",
  • "Account": {
    },
  • "TotalAmount": 0,
  • "CurrentQualification": {
    },
  • "PreviousQualification": {
    }
}

Get OtherThirdParty By Accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
[
  • {
    }
]

Get OtherThirdParty reconciliation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
{
  • "CurrentExerciseEndDate": "2019-08-24",
  • "PreviousExerciseEndDate": "2019-08-24",
  • "Categories": [
    ]
}

Export the reconciliation state of the OtherThridParty module to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Get OtherThirdParty depreciation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Export OtherThirdParty depreciation state to pdf

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Set OtherThirdParty Error

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
otherThirdPartyId
required
integer <int32>
Request Body schema:
Reason
string

Responses

Request samples

Content type
{
  • "Reason": "string"
}

Update OtherThirdParty Amount

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
otherThirdPartyId
required
integer <int32>
Request Body schema:
Amount
required
number <decimal>

Responses

Request samples

Content type
{
  • "Amount": 0
}

Update OtherThirdParty label

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
otherThirdPartyId
required
integer <int32>
Request Body schema:
NewLabel
string

Responses

Request samples

Content type
{
  • "NewLabel": "string"
}

Update OtherThirdParties account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
object (UpdateAccountCommand)
object (UpdateAccountCommand)

Responses

Request samples

Content type
{
  • "OldAccount": {
    },
  • "NewAccount": {
    }
}

Delete OtherThirdParties by Account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
required
integer <int32>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0
}

Update OtherThirdParty Date

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
otherThirdPartyId
required
integer <int32>
Request Body schema:
NewDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "NewDate": "2019-08-24T14:15:22Z"
}

Generate OtherThirdParty Qualification Entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
EndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "GeneratedEntriesCount": 0
}

Copy Previous OtherThirdParty Qualifications

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
PeriodEndDate
required
string <date-time>
SearchText
string
CurrentStatus
string
Enum: "Empty" "Balanced"
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
AccountId
integer <int32>
SubAccountId
integer <int32>

Responses

Request samples

Content type
{
  • "PeriodEndDate": "2019-08-24T14:15:22Z",
  • "SearchText": "string",
  • "CurrentStatus": "Empty",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "AccountId": 0,
  • "SubAccountId": 0
}

Response samples

Content type
[
  • {
    }
]

OtherThirdPartyQualification

Set other third party qualifications

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
OtherThirdPartyIds
Array of integers <int32> [ items <int32 > ]
Date
required
string <date-time>
DepreciationRate
required
number <decimal>
IsDeductible
required
boolean
ProvisionDepreciationType
required
string
Enum: "Exploitation" "Exceptionnel" "Financier"
DepreciationStatus
required
string
Enum: "Empty" "Balanced"

Responses

Request samples

Content type
{
  • "OtherThirdPartyIds": [
    ],
  • "Date": "2019-08-24T14:15:22Z",
  • "DepreciationRate": 0,
  • "IsDeductible": true,
  • "ProvisionDepreciationType": "Exploitation",
  • "DepreciationStatus": "Empty"
}

Response samples

Content type
[
  • {
    }
]

Delete other third party qualifications

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
OtherThirdPartyQualificationIds
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "OtherThirdPartyQualificationIds": [
    ]
}

Review other third party qualifications

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
OtherThirdPartyIds
required
Array of integers <int32> [ items <int32 > ]
IsReviewed
required
boolean
ExerciceEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "OtherThirdPartyIds": [
    ],
  • "IsReviewed": true,
  • "ExerciceEndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
[
  • {
    }
]

Get other third party qualifications by other third party id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
otherThirdPartyId
required
integer <int32>

Responses

Response samples

Content type
[
  • {
    }
]

Create balanced other third party qualifications

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Array of objects (CreateBalancedOtherThirdPartyQualificationCommand)

Responses

Request samples

Content type
{
  • "DateByOtherThirdPartyId": [
    ]
}

Provision

Get Provision follow state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Export the follow state of the provision module to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Get Provision reconciliation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
{
  • "CurrentExerciseEndDate": "2019-08-24",
  • "PreviousExerciseEndDate": "2019-08-24",
  • "Categories": [
    ]
}

Export the reconciliation state of the provision module to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Search provisions

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
PageNumber
required
integer <int32>
Default: 1
PageSize
required
integer <int32>
Default: 100
ExerciseEndDate
required
string <date-time>
SortColumn
required
string
Enum: "Account" "AmountN" "AmountNMinus1"
SortDirection
required
string
Enum: "Ascending" "Descending"
SearchText
string
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
AccountId
integer <int32>
SubAccountId
integer <int32>

Responses

Request samples

Content type
{
  • "PageNumber": 1,
  • "PageSize": 100,
  • "ExerciseEndDate": "2019-08-24T14:15:22Z",
  • "SortColumn": "Account",
  • "SortDirection": "Ascending",
  • "SearchText": "string",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "AccountId": 0,
  • "SubAccountId": 0
}

Response samples

Content type
{
  • "Items": [
    ],
  • "PageNumber": 0,
  • "PageSize": 0,
  • "TotalCount": 0,
  • "PageCount": 0,
  • "HasPreviousPage": true,
  • "HasNextPage": true
}

Get provision natures for a given period start

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodStart
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Create a provision

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
PeriodEnd
required
string <date-time>
AccountId
required
integer <int32>
SubAccountId
integer <int32>
AccountName
required
string
Label
required
string
DepreciationType
required
string
Enum: "Exploitation" "Exceptionnel" "Financier"
QualificationAmount
required
number <decimal>
UsedAmount
number <double>
PreviousQualificationAmount
number <double>
IsQualificationDeductible
required
boolean

Responses

Request samples

Content type
{
  • "PeriodEnd": "2019-08-24T14:15:22Z",
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "AccountName": "string",
  • "Label": "string",
  • "DepreciationType": "Exploitation",
  • "QualificationAmount": 0,
  • "UsedAmount": 0.1,
  • "PreviousQualificationAmount": 0.1,
  • "IsQualificationDeductible": true
}

Response samples

Content type
{
  • "Id": 0,
  • "Account": {
    },
  • "DepreciationType": "Exploitation",
  • "ProvisionNature": "string",
  • "IsRegulated": true,
  • "Label": "string",
  • "CurrentQualification": {
    },
  • "PreviousQualification": {
    }
}

Delete provisions

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
AccountingFolderId
required
integer <int32>
ProvisionIds
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "ProvisionIds": [
    ]
}

Copy previous provisions

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
PeriodEnd
required
string <date-time>
SearchText
string
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
AccountId
integer <int32>
SubAccountId
integer <int32>

Responses

Request samples

Content type
{
  • "PeriodEnd": "2019-08-24T14:15:22Z",
  • "SearchText": "string",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "AccountId": 0,
  • "SubAccountId": 0
}

Response samples

Content type
[
  • {
    }
]

Generate provision entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
EndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "GeneratedEntriesCount": 0
}

ProvisionQualification

Set provision qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
AccountingFolderId
required
integer <int32>
ProvisionId
required
integer <int32>
PeriodEnd
required
string <date-time>
IsDeductible
required
boolean
Amount
required
number <decimal>
UsedAmount
number <double>
PreviousQualificationAmount
number <double>

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "ProvisionId": 0,
  • "PeriodEnd": "2019-08-24T14:15:22Z",
  • "IsDeductible": true,
  • "Amount": 0,
  • "UsedAmount": 0.1,
  • "PreviousQualificationAmount": 0.1
}

Response samples

Content type
{
  • "Id": 0,
  • "Account": {
    },
  • "DepreciationType": "Exploitation",
  • "ProvisionNature": "string",
  • "IsRegulated": true,
  • "Label": "string",
  • "CurrentQualification": {
    },
  • "PreviousQualification": {
    }
}

Review provision qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
ProvisionIds
required
Array of integers <int32> [ items <int32 > ]
IsReviewed
required
boolean
PeriodEnd
required
string <date-time>

Responses

Request samples

Content type
{
  • "ProvisionIds": [
    ],
  • "IsReviewed": true,
  • "PeriodEnd": "2019-08-24T14:15:22Z"
}

Response samples

Content type
[
  • {
    }
]

StockDepreciation

Get Stock reconciliation state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
{
  • "CurrentExerciseEndDate": "2019-08-24",
  • "PreviousExerciseEndDate": "2019-08-24",
  • "Categories": [
    ]
}

Export the reconciliation state of the stock module to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Get the depreciation state of the stock

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Export the depreciation state of the stock to a PDF file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
periodEndDate
required
string <date-time>

Responses

Response samples

Content type
"string"

Search stock depreciation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountName
string
SearchText
string
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
PeriodStartDate
required
string <date-time>
PeriodEndDate
required
string <date-time>
SortColumn
required
string
Enum: "AccountName" "Balance"
SortDirection
required
string
Enum: "Ascending" "Descending"

Responses

Request samples

Content type
{
  • "AccountName": "string",
  • "SearchText": "string",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "PeriodStartDate": "2019-08-24T14:15:22Z",
  • "PeriodEndDate": "2019-08-24T14:15:22Z",
  • "SortColumn": "AccountName",
  • "SortDirection": "Ascending"
}

Response samples

Content type
[
  • {
    }
]

Create stock depreciation qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
integer <int32>
Date
required
string <date-time>
DepreciationType
required
string
Enum: "Rate" "Amount"
Value
required
number <decimal>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "DepreciationType": "Rate",
  • "Value": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "IsReviewed": true,
  • "EntryGenerated": true,
  • "DepreciationType": "Rate",
  • "DepreciationRate": 0,
  • "StockAmount": 0
}

Copy previous stock qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountName
string
SearchText
string
WithDepreciationAtN
boolean
WithDepreciationAtNMinus1
boolean
PeriodStartDate
required
string <date-time>
PeriodEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "AccountName": "string",
  • "SearchText": "string",
  • "WithDepreciationAtN": true,
  • "WithDepreciationAtNMinus1": true,
  • "PeriodStartDate": "2019-08-24T14:15:22Z",
  • "PeriodEndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
[
  • {
    }
]

Generate stock qualification entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
ExerciseEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "ExerciseEndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "GeneratedEntriesCount": 0
}

Review stock qualification

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (Account)
IsReviewed
required
boolean
ExerciceEndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "Accounts": [
    ],
  • "IsReviewed": true,
  • "ExerciceEndDate": "2019-08-24T14:15:22Z"
}

Delete stock qualification by account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
required
integer <int32>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0
}

Returns list of account prefixes given an enterpriseId

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
[
  • "string"
]

Synchronization

Get the active synchronization

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Status": "InProgress",
  • "StartDate": "2019-08-24T14:15:22Z"
}

Get a synchronization

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
synchronizationId
required
integer <int32>

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Status": "InProgress",
  • "StartDate": "2019-08-24T14:15:22Z"
}

Start a synchronization

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
StartDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "StartDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "Id": 0,
  • "Status": "InProgress",
  • "StartDate": "2019-08-24T14:15:22Z"
}

Update the status of a synchronization

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
synchronizationId
required
integer <int32>
Request Body schema:
string
Enum: "InProgress" "Completed" "Failed"

Responses

Request samples

Content type
"InProgress"